Add .NET 2.0 SP1 as a prerequisite for deployment project

Question :

Add .NET 2.0 SP1 as a prerequisite for deployment project,

Answer :

I have a .NET 2.0 application that has recently had contributions that are Service Pack 1 dependent. The deployment project has detected .NET 2.0 as a prerequisite, but NOT SP1. How do I include SP1 as a dependency/prerequisite in my deployment project?

,

You’ll want to setup launch condition in your deployment project to make sure version 2.0 SP1 is installed. You’ll want to set a requirement based off the MsiNetAssemblySupport variable, tied to the version number of .NET 2.0 SP1 (2.0.50727.1433 and above according to

Read More  Parse usable Street Address, City, State, Zip from a string

Bootstrapping the project to actually download the framework if it isn’t installed is a different matter, and there are plenty of articles out there on how to do that.

That’s the answer Add .NET 2.0 SP1 as a prerequisite for deployment project, Hope this helps those looking for an answer. Then we suggest to do a search for the next question and find the answer only on our site.

Disclaimer :

The answers provided above are only to be used to guide the learning process. The questions above are open-ended questions, meaning that many answers are not fixed as above. I hope this article can be useful, Thank you

Read More  Best format for displaying rendered time on a webpage